/*Importing Atkinson Hyperlegible*/
@import url('https://fonts.googleapis.com/css2?family=Atkinson+Hyperlegible:ital,wght@0,400;0,700;1,400;1,700&display=swap');

/*Importing Montserrat*/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/*Importing Doner*/
@font-face {
    font-family: 'Doner';
    src: url(fonts/Doner-BlackDisplay.woff2);
    font-weight: bold;
}

@font-face {
    font-family: 'Doner';
    src: url(fonts/Doner-RegularDisplay.woff2);
    font-weight: normal;
}

body {
    background-image: linear-gradient(120deg, #000023, #061842);
    width: 100vw;
    margin: 0;
}

/*I don't like the underline for links*/
a {
    text-decoration: none;
}

.logotype {
    color: white;
    font-family: "Doner";
    text-transform: uppercase;
    font-size: 55px;
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 8px;
}

div.navbar {
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #3260CA;
    background-image: linear-gradient(150deg, #000000, #3260CA);
    margin: 10px;
    padding: 8px 15px 8px;
    border-radius: 25px 100px 100px 25px;
    outline: 2px solid #ddddff24;
    outline-offset: -2px;
}

/*Subbar capsule*/
div.subbar {
    background-color: white;
    border-radius: 100px;
    margin-right: 7px;
    min-height: 50px;
    max-height: 50px;
    min-width: 50px;
    outline: 3px solid #04054444;

}

ul.list {
    list-style-type: none;
    margin: 0;
    padding: 15px;
    overflow: hidden;
    align-items: center;
}

.list li {
    float: left;
}

.list li a {
    display: flexbox;
    text-align: center;
    padding: 16px;
    font-family: "Montserrat";
    font-weight: 600;
    text-transform: uppercase;
    color:#3260CA;
}

.list li a:hover {
    filter: brightness(0.8);
}

.list li a:active {
    color: black;
    .external {
        filter: brightness(0);
    }
}

.external {
    padding-left: 5px;
    width: 13px;
    position: relative; top: 1px;
}

/*Subbar capsule ends*/

#burger {
    font-size: 25px;
    font-weight: bold;
    background-color: transparent;
    border: none;
    margin: 0 7px 0;
    padding: 7px;
    text-align: inherit;
    border-radius: 0;
    appearance: none;
    color: #3260CA;
    display: none;
}

#burger:hover {
    filter: brightness(0.8);
}

#burger:active {
    color: black;
}

#heroDiv {
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    position: relative;
    margin: 10px;
    border-radius: 10px;
    height: 800px;
    background-image: linear-gradient(120deg, #040544, #3260CA);
    overflow: hidden;
    z-index: -1;
    outline: 2px solid #ddddff24;
    outline-offset: -2px;
}

#meInfo {
    color: white;
    font-family: Montserrat;
    text-align: center;
    padding: 0;
    line-height: 0.9;
    text-shadow: 0 5px 10px #2a249120;
}

#myName {
    font-family: "Doner";
    font-size: 100px;
    padding: 0;
    margin: 0;
}

#background {
    background-image: url("images/Motorcycle before due.jpg");
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    mix-blend-mode: overlay;
    filter: blur(0) brightness(0.5);
}

/*Footer*/
div.foot {
    background-color: #061842;
    width: 100vw;
    height: 75px;
    position: relative;
    bottom: 0;
}

.foot {
    font-family: Montserrat;
    font-weight: 500;
    font-size: 12px;
    text-transform: uppercase;
    color: white;
}

/*Footer links*/
.foot a:link {
    color: white;
}

.foot a:visited {
    color: #c8c7ff;
}

.foot a:hover {
    color: #eaeaff;
}

/*Media Query for smaller window sizes*/
@media (max-width: 1000px) {
    #burger {display: flex}
    .list {
        /* display: none; */
        position: absolute;
        right: 20px;
        top: 95px;
        background-color: white;
        border-radius: 18px;
        max-height: none;
        max-width: 155px;
        min-width: 155px;
        z-index: 1000;
    }
    .list li {
        padding: 7px 0;
        transition: all 0.1s ease 0s;
    }
    .list .show {
        display: flexbox;
    }
}


@media (max-width: 670px) {
    .logotype {color: black}
}